<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    public function up(): void
    {
        DB::statement("
            ALTER TABLE borrow_transactions 
            MODIFY COLUMN status ENUM(
                'menunggu',
                'disetujui',
                'dipinjam',
                'dikembalikan',
                'ditolak',
                'pengembalian_menunggu',
                'perpanjangan_menunggu',
                'perpanjangan_disetujui',
                'perpanjangan_ditolak'
            ) DEFAULT 'menunggu'
        ");
    }

    public function down(): void
    {
        DB::statement("
            ALTER TABLE borrow_transactions 
            MODIFY COLUMN status ENUM(
                'menunggu',
                'disetujui',
                'dipinjam',
                'dikembalikan',
                'pengembalian_menunggu',
                'perpanjangan_menunggu',
                'perpanjangan_disetujui',
                'perpanjangan_ditolak'
            ) DEFAULT 'menunggu'
        ");
    }
};

